<?php
/**
*
* @package phpBB Extension - Simple CDN
* @copyright (c) David Yin <https://www.phpbbchinese.com>
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace davidyin\simplecdn\migrations;

class simplecdn_schema extends \phpbb\db\migration\migration
{
	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v330\v330');
	}

	public function update_data()
	{
		return array(
			// Add configs
			array('config.add', array('simplecdn_enable', '')),
			array('config.add', array('simplecdn_url', '')),
			array('config.add', array('simplecdn_version', '3.0.1')),
			array('config.add', array('simplecdn_styles_css_js_files', '0')),
			array('config.add', array('simplecdn_rank_images', '0')),
			array('config.add', array('simplecdn_avatar_images', '0')),
			array('config.add', array('simplecdn_smilies_images', '0')),
			array('config.add', array('simplecdn_uploaded_files', '0')),
			array('config.add', array('simplecdn_forum_images', '0')),
		);
	}
}
